A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
sigmoid
ArrayFire Functions

Evaluate the logistical sigmoid function. More...

## Functions
array | sigmoid (const array &in)
| C++ Interface to evaluate the logistical sigmoid function.
af_err | af_sigmoid (af_array *out, const af_array in)
| C Interface to evaluate the logistical sigmoid function.

## Detailed Description

Evaluate the logistical sigmoid function.

## Function Documentation

## ◆ af_sigmoid()

af_err af_sigmoid | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the logistical sigmoid function.

Computes \(\frac{1}{1+e^{-x}}\).

Parameters

  [out] | out | output of the logistic sigmoid function
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ sigmoid()

array sigmoid | ( | const array & | in | ) |

C++ Interface to evaluate the logistical sigmoid function.

Computes \(\frac{1}{1+e^{-x}}\).

Parameters

  [in] | in | input

Returns
  sigmoid